SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
brief: This header file defines the RTEMS Classic API.
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
- Copyright (C) 1988, 2008 On-Line Applications Research Corporation (OAR)
enabled-by: true
index-entries: []
interface-type: header-file
links:
- role: interface-placement
  uid: /if/domain
- enabled-by: []
  role: interface-include
  uid: ../barrier/if/header
- enabled-by: []
  role: interface-include
  uid: ../cache/if/header
- enabled-by: []
  role: interface-include
  uid: ../clock/if/header
- enabled-by: []
  role: interface-include
  uid: ../config/if/header
- enabled-by: []
  role: interface-include
  uid: ../dpmem/if/header
- enabled-by: []
  role: interface-include
  uid: ../event/if/header
- enabled-by: []
  role: interface-include
  uid: ../fatal/if/header
- enabled-by: []
  role: interface-include
  uid: ../init/if/header
- enabled-by: []
  role: interface-include
  uid: ../intr/if/header
- enabled-by: []
  role: interface-include
  uid: ../io/if/header
- enabled-by: []
  role: interface-include
  uid: ../message/if/header
- enabled-by: []
  role: interface-include
  uid: ../object/if/header
- enabled-by: []
  role: interface-include
  uid: ../option/if/header
- enabled-by: []
  role: interface-include
  uid: ../part/if/header
- enabled-by: []
  role: interface-include
  uid: ../ratemon/if/header
- enabled-by: []
  role: interface-include
  uid: ../region/if/header
- enabled-by: []
  role: interface-include
  uid: ../sem/if/header
- enabled-by: []
  role: interface-include
  uid: ../signal/if/header
- enabled-by: []
  role: interface-include
  uid: ../status/if/header
- enabled-by: []
  role: interface-include
  uid: ../support/if/header
- enabled-by: []
  role: interface-include
  uid: ../task/if/header
- enabled-by: []
  role: interface-include
  uid: ../timer/if/header
- enabled-by: []
  role: interface-include
  uid: ../type/if/header
- enabled-by: []
  role: interface-include
  uid: ../userext/if/header
- enabled-by: RTEMS_MULTIPROCESSING
  role: interface-include
  uid: ../mp/if/header
path: rtems.h
prefix: cpukit/include
type: interface
